Skip to content
GET/{organizationId}/crm/certificates/types/{typeId}

Get certificate type

Gets a specific certificate type with all of its details

Required permissions:

  • certificateType.read

Path Parameters

organizationIdstringrequired
typeIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/crm/certificates/types/{typeId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/crm/certificates/types/{typeId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

namestringrequired

minLength: 1

maxLength: 40

willExpireDaysBeforeExpiryintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Additional properties are not allowed.

Additional properties are not allowed.

totalintegerrequired

minimum: 0

maximum: 9007199254740991

validintegerrequired

minimum: 0

maximum: 9007199254740991

willExpireintegerrequired

minimum: 0

maximum: 9007199254740991

expiredintegerrequired

minimum: 0

maximum: 9007199254740991

ObjectId as string

contactTypestring | nullrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier

Response

200
{
  "_id": "000000000000000000000001",
  "name": "string",
  "willExpireDaysBeforeExpiry": 1,
  "confirmationMail": {
    "subject": "string",
    "message": "string"
  },
  "customFields": {
    "groups": [
      {
        "id": "string",
        "label": "string",
        "fields": [
          {
            "id": "string",
            "type": "placeholder",
            "name": "string"
          }
        ]
      }
    ]
  },
  "total": 0,
  "valid": 0,
  "willExpire": 0,
  "expired": 0,
  "expressaTemplate": "000000000000000000000001",
  "contactType": "member"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}